Page MenuHomePhabricator

"UNRECOVERABLE FATAL ERROR" when viewing burndown chart: "Undefined class constant TYPE_PROJECT_COLUMN"
Closed, ResolvedPublic

Description

I just updated to the most recent version of the stable branch of Phabricator, and I'm now receiving the following error when I try to view the Burndown of a sprint:

>>> UNRECOVERABLE FATAL ERROR <<<

Undefined class constant &#039;TYPE_PROJECT_COLUMN&#039;

/home/phab/libext/sprint/src/storage/BoardDataProvider.php:171


┻━┻ ︵ ¯\_(ツ)_/¯ ︵ ┻━┻

Event Timeline

pdilyard created this task.Apr 9 2016, 3:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2016, 3:58 AM
Aklapper renamed this task from "UNRECOVERABLE FATAL ERROR" when viewing burndown chart to "UNRECOVERABLE FATAL ERROR" when viewing burndown chart: "Undefined class constant TYPE_PROJECT_COLUMN".Apr 9 2016, 7:32 AM

Awesome, works like a charm. Thank you!

pdilyard closed this task as Resolved.Apr 11 2016, 2:52 PM
pdilyard claimed this task.
urzds added a subscriber: urzds.Apr 20 2016, 2:34 PM

Change 291744 had a related patch set uploaded (by Paladox):
updates to upstream 46fb646f92b12a0031105d9fc9d67df67f86dcd

https://gerrit.wikimedia.org/r/291744

This was never backported to wmf/stable branch which means it was never deployed.

Ive backported it here https://gerrit.wikimedia.org/r/#/c/291744/

Change 291749 had a related patch set uploaded (by Paladox):
updates to upstream 46fb646f92b12a0031105d9fc9d67df67f86dcd

https://gerrit.wikimedia.org/r/291749

Change 291744 abandoned by 20after4:
updates to upstream 46fb646f92b12a0031105d9fc9d67df67f86dcd

Reason:
I'm doing this as a merge instead of a cherry pick

https://gerrit.wikimedia.org/r/291744

Change 291749 abandoned by 20after4:
updates to upstream 46fb646f92b12a0031105d9fc9d67df67f86dcd

Reason:
production branch is obsolete

https://gerrit.wikimedia.org/r/291749